# AdministratorChatMember - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.ChatMember.abstracts / AdministratorChatMember

# AdministratorChatMember

(common) `interface AdministratorChatMember : SpecialRightsChatMember` (source)

### Properties

(common)

#### canBeEdited

`abstract val canBeEdited: Boolean`

(common)

#### canEditMessages

`abstract val canEditMessages: Boolean`

(common)

#### canPostMessages

`abstract val canPostMessages: Boolean`

(common)

#### canPromoteMembers

`abstract val canPromoteMembers: Boolean`

(common)

#### canRemoveMessages

`abstract val canRemoveMessages: Boolean`

(common)

#### canRestrictMembers

`abstract val canRestrictMembers: Boolean`

(common)

#### customTitle

`abstract val customTitle: String?`

### Inheritors

(common)

#### AdministratorChatMemberImpl

`data class AdministratorChatMemberImpl : AdministratorChatMember`

(common)

#### CreatorChatMember

`data class CreatorChatMember : AdministratorChatMember`